<?xml version="1.0" encoding="UTF-8"?>

<?import com.jfoenix.controls.*?>
<?import java.lang.*?>
<?import javafx.scene.control.*?>
<?import javafx.scene.image.*?>
<?import javafx.scene.layout.*?>
<?import com.jfoenix.controls.JFXButton?>
<?import javafx.scene.control.TableColumn?>
<?import javafx.scene.control.TableView?>
<?import javafx.scene.image.ImageView?>
<?import javafx.scene.layout.AnchorPane?>

<AnchorPane id="AnchorPane" prefHeight="400.0" prefWidth="600.0" xmlns="http://javafx.com/javafx/8" xmlns:fx="http://javafx.com/fxml/1" fx:controller="tn.esprit.b2.esprit1718b2hrboardbis.app.client.gui.MyTasksController">
   <children>
      <ImageView fx:id="toDoImg" fitHeight="59.0" fitWidth="79.0" layoutX="58.0" layoutY="14.0" onMouseClicked="#displayToDoTaks" pickOnBounds="true" preserveRatio="true" />
      <ImageView fx:id="doingImg" fitHeight="59.0" fitWidth="79.0" layoutX="261.0" layoutY="14.0" onMouseClicked="#displayDoingTasks" pickOnBounds="true" preserveRatio="true" />
      <ImageView fx:id="doneImg" fitHeight="59.0" fitWidth="79.0" layoutX="479.0" layoutY="14.0" onMouseClicked="#displayDoneTasks" pickOnBounds="true" preserveRatio="true" />
      <ImageView fx:id="makeItDoneimg" fitHeight="59.0" fitWidth="79.0" layoutX="487.0" layoutY="310.0" onMouseClicked="#makeTaskDone" pickOnBounds="true" preserveRatio="true" />
      <TableView fx:id="myTasksTable" layoutX="53.0" layoutY="85.0" onMouseClicked="#getSelectedIdTask" prefHeight="153.0" prefWidth="495.0">
        <columns>
          <TableColumn fx:id="nameProjectColumn" minWidth="0.0" prefWidth="0.0" text="idProject" visible="false" />
          <TableColumn fx:id="nameEmployeeColumn" minWidth="0.0" prefWidth="0.0" text="idEmployee" visible="false" />
            <TableColumn fx:id="nameTaskColumn" prefWidth="225.0" text="Name" />
            <TableColumn fx:id="startDateColumn" prefWidth="132.0" text="Start date" />
            <TableColumn fx:id="endDateColumn" prefWidth="137.0" text="End date" />
        </columns>
      </TableView>
      <JFXButton fx:id="makeItDoing" layoutX="235.0" layoutY="340.0" onAction="#makeItDoing" text="Let's start the work" />
      <JFXTextArea fx:id="descriptionTextArea" layoutX="53.0" layoutY="259.0" prefHeight="59.0" prefWidth="495.0" promptText="Description" wrapText="true" />
   </children>
</AnchorPane>
